<ion-app>
  <ion-split-pane contentId="main-content">
    <ion-menu contentId="main-content" type="overlay">
      <ion-header>
        <ion-toolbar>
          <ion-title>Menu</ion-title>
        </ion-toolbar>
      </ion-header>
      <ion-content>
        <ion-list>
          <ion-menu-toggle auto-hide="false">
            <ion-item
              routerDirection="'root'"
              *ngIf="!loggedIn"
              routerLink="/"
              (click)="login()"
              class="clickable"
              lines="none"
            >
              <ion-icon slot="start" name="log-in"></ion-icon>
              <ion-label>Login</ion-label>
            </ion-item>
            <ion-item
              routerDirection="'root'"
              *ngIf="loggedIn"
              routerLink="/home"
              lines="none"
            >
              <ion-icon slot="start" name="home"></ion-icon>
              <ion-label>Home</ion-label>
            </ion-item>
            <ion-item *ngIf="loggedIn" routerLink="/sales" lines="none">
              <ion-icon slot="start" name="list-box"></ion-icon>
              <ion-label>Sales Invoice</ion-label>
            </ion-item>
            <ion-item *ngIf="loggedIn" routerLink="/warranty" lines="none">
              <ion-icon slot="start" name="settings"></ion-icon>
              <ion-label>Warranty</ion-label>
            </ion-item>
            <ion-item
              routerDirection="'root'"
              routerLink="/"
              *ngIf="loggedIn"
              (click)="logout()"
              class="clickable"
              lines="none"
            >
              <ion-icon slot="start" name="log-out"></ion-icon>
              <ion-label>Logout</ion-label>
            </ion-item>
          </ion-menu-toggle>
        </ion-list>
      </ion-content>
    </ion-menu>
    <ion-router-outlet id="main-content"></ion-router-outlet>
  </ion-split-pane>
</ion-app>
